use serenity::prelude::*;
use std::fs::File;
use std::io::{self, prelude::*, BufReader};
mod commands;
#[macro_use]
extern crate lazy_static;

pub fn main() {
    let mut client = Client::new(
        read_token().expect("Could not read token from file `secret` in current directory"),
        commands::Handler,
    )
    .expect("Error creating client");
    client.start().expect("Could not connect to discord");
}

fn read_token() -> io::Result<String> {
    let reader = BufReader::new(File::open("secret")?);
    reader.lines().next().unwrap()
}
